#!/usr/bin/env python
"""
CHURCH CALENDAR EVENTS LIST
  Wednesday to Sunday have 5 weeks
  Monday and Tuesday have 6 weeks
  category must match the ones in WordPress

"""
from calendar import SUNDAY, MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY

YEAR: int = 2025


EVENT_LIST = (
    # day        weeks                start    end      name                         category             description
    (SUNDAY,     [1               ],  10, 00,  12, 00,  "Sunday Service 10:00am",    "Sunday Service",    "Prayer Room open from 8:30 AM to 9:30 AM. Worship Service starts at 10:00 AM. First Sunday of the month is Missions Sunday"),
    (SUNDAY,     [2               ],  10, 00,  12, 00,  "Sunday Service 10:00am",    "Sunday Service",    "Prayer Room open from 8:30 AM to 9:30 AM. Worship Service starts at 10:00 AM. Second Sunday of the month is Baptism Sunday"),
    (SUNDAY,     [3               ],  10, 00,  12, 00,  "Sunday Service 10:00am",    "Sunday Service",    "Prayer Room open from 8:30 AM to 9:30 AM. Worship Service starts at 10:00 AM. Thrid Sunday of the month is Communion Sunday"),
    (SUNDAY,     [4               ],  10, 00,  12, 00,  "Sunday Service 10:00am",    "Sunday Service",    "Prayer Room open from 8:30 AM to 9:30 AM. Worship Service starts at 10:00 AM. Fourth Sunday of the month is Coins for Kids Sunday"),
    (SUNDAY,     [5               ],  10, 00,  12, 00,  "Sunday Service 10:00am",    "Sunday Service",    "Prayer Room open from 8:30 AM to 9:30 AM. Worship Service starts at 10:00 AM. Fifth Sunday of the month is Potluck Sunday"),
    (TUESDAY,    [1, 2, 3, 4, 5, 6],  18, 00,  20, 00,  "Grief Share 6:00pm",        "Grief Share",       ""),
    (WEDNESDAY,  [1, 2, 3, 4, 5   ],  18, 00,  20, 00,  "Mid Week Service 6:00pm",   "Mid Week Service",  ""),
    (THURSDAY,   [1, 2, 3, 4, 5   ],  18, 00,  20, 00,  "Woman's Meeting 10:00am",   "Woman's Meeting",   "Woman 2 Woman Bible Study"),
    (FRIDAY,     [1, 2, 3, 4      ],  18, 30,  20, 30,  "For Men Only 6:30pm",       "Men's Meeting",     "Mens Bible Study"),
    (FRIDAY,     [5               ],  19, 00,  21, 00,  "Family Movie Night 7:00pm", "Movie Night",       "To Be Announced"),
    (SATURDAY,   [2               ],   8, 00,  10, 00,  "Men's Breakfast 8:00am", "Men's Meeting", ""),
)

